/* ДОПИШИТЕ КОД ФУНКЦИЙ ЧТОБЫ ВСЕ РАБОТАЛО!*/

/**
 * -------------------- №1 ---------------------- *
 * Реализуйте функцию подсчета факториала числа n
 * ---------------------------------------------- *
 *
 * При решении необходимо предусмотреть случай,
 * когда тип n не приведен к Number
 *  - "Введите число" -
 */
function fact() {
    let n = Number(factor.value);
    /**
     * ...
     * ВАШ КОД ТУТ
     * ...
     * if ...
     * ...
     */
    resFact.innerHTML = result;
}

/**
 * -------------------- №2 ---------------------- *
 *  Реализуйте функцию деления по модулю X на Y
 * ---------------------------------------------- *
 *
 * При решении необходимо предусмотреть различные случаи,
 *  при этом выводить:
 * - "Делить на 0 нельзя"
 * - "Введите число"
 */
function divByMod(){
    let X = Number(devisibleMod.value);
    let Y = Number(deviderMod.value);
    /**
     * ...
     * ВАШ КОД ТУТ
     * ...
     */
    resDivMode.innerHTML = result;
}

/**
 * -------------------- №3 ---------------------- *
 * Реализуйте функцию подсчета дней
 * ---------------------------------------------- *
 *
 *  При решении необходимо учесть, что в течение суток:
 *   1. блок поднимают на x
 *   2. проверяют достижение N
 *   3. ночью блок опускается на метр
 *   4. начинается новый день
 */
function computedDay(){
    let N = Number(n_level.value);
    let x = Number(x_for_day.value);
    /**
     * ...
     * ВАШ КОД ТУТ
     * ...
     * while .../ for ...
     * выбирайте цикл
     * как посчитаете нужным
     * ...
     */
    resDayCount.innerHTML = result;
}

/**
 * -------------------- №4 ---------------------- *
 * Реализуйте функцию подсчета конвертированной суммы
 * ---------------------------------------------- *
 */
function convertation() {
    // Используйте коэффициэнты
    const EUR_TO_DOL = 0.9;
    const EUR_TO_RUB = 0.007;
    const DOL_TO_EUR = 1.05;
    const DOL_TO_RUB = 0.008;
    const RUB_TO_DOL = 116;
    const RUB_TO_EUR = 126;

    // В следующих переменных записываем что выбрал/ввел пользователь
    // конвертируемая сумма
    let summ = Number(currCount.value)
    // из какой валюты
    let fir_curr = selectFirCurrency.value;
    // в какую валюту
    let sec_curr = selectSecCurrency.value;

    /**
     * ...
     * ВАШ КОД ТУТ
     * ...
     * let result;
     * ...
     * let convertation = (fir_curr + sec_curr);
     * ...
     * switch (convertation) {
     *     case 'eurodollar':
     *         result = summ / EUR_TO_DOL;
     *         ...
     *     default:
     *         ...
     * }
     * ...
     */

    resCurr.innerHTML = result;
}